# Update

Launch stage: GA

`PATCH /api/2.1/unity-catalog/models/{full_name_arg}`

Updates the specified registered model.

 The caller must be a metastore admin or an owner of the registered model.
 For the latter case, the caller must also be the owner or have the **USE_CATALOG**
 privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema.

 Currently only the name, the owner or the comment of the registered model can be updated.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The three-level (fully qualified) name of the registered model

## Request body

- `new_name` (string, optional)
  New name for the registered model.
- `name` (string, optional)
  The name of the registered model
- `catalog_name` (string, optional)
  The name of the catalog where the schema and the registered model reside
- `schema_name` (string, optional)
  The name of the schema where the registered model resides
- `owner` (string, optional)
  The identifier of the user who owns the registered model
- `comment` (string, optional)
  The comment attached to the registered model
  Constraints: `[ 1 .. 65536 ] characters`
- `storage_location` (string, optional)
  The storage location on the cloud under which model version data files are stored
- `metastore_id` (string, optional)
  The unique identifier of the metastore
- `full_name` (string, optional)
  The three-level (fully qualified) name of the registered model
- `created_at` (int64, optional)
  Creation timestamp of the registered model in milliseconds since the Unix epoch
- `created_by` (string, optional)
  The identifier of the user who created the registered model
- `updated_at` (int64, optional)
  Last-update timestamp of the registered model in milliseconds since the Unix epoch
- `updated_by` (string, optional)
  The identifier of the user who updated the registered model last time
- `aliases` (array of object, optional)
  List of aliases associated with the registered model
  - `alias_name` (string, optional)
    Name of the alias, e.g. 'champion' or 'latest_stable'
  - `version_num` (int64, optional)
    Integer version number of the model version to which this alias points.
  - `id` (string, optional)
    The unique identifier of the alias
  - `model_name` (string, optional)
    The name of the parent registered model of the model version, relative to parent schema
  - `catalog_name` (string, optional)
    The name of the catalog containing the model version
  - `schema_name` (string, optional)
    The name of the schema containing the model version, relative to parent catalog
- `browse_only` (boolean, optional)
  Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

## Returns

Returns the RegisteredModelInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "owner": "string",
  "comment": "string",
  "storage_location": "string",
  "metastore_id": "string",
  "full_name": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "aliases": [
    {
      "alias_name": "string",
      "version_num": 0,
      "id": "string",
      "model_name": "string",
      "catalog_name": "string",
      "schema_name": "string"
    }
  ],
  "browse_only": true
}
```

